% POLE ZERO PLOT OF A SYSTEM FUNCTION WITH COEFFICIENTS GIVEN BY b
b=[1 -2 2 -1];
a=[1];
figure(1)
zplane(b,a);
title('Pole-zero plot of H(z) = 1 - 2z(-1) + 2z(-2) -z(-3)');
% FREQUENCY RESPONSE OF THE SYSTEM
figure(2)
w=-pi:pi/500:pi;
h=freqz(b,a,w);
plot(w,abs(h),'linewidth',2.5);
title('Magnitude of frequency response');
xlabel('Normalized radian Frequency');
ylabel('Amplitude')