% running sum filter quite similar to moving average
b=ones(1,11);% coefficients of numerator of z transform
a=[1];% coefficients of denominator of z transform
figure(1)
zplane(b,a);%pole zero plot in z plane
title('Pole-zero plot of 11-Point Running sum filter');
figure(2)
w=-pi:pi/500:pi;% interval over which frequency response is to be found
h=freqz(b,a,w);% frequency response
plot(w,abs(h),'linewidth',2.5);
title('Magnitude of frequency response 11-Point Running sum filter');
xlabel('Normalized radian Frequency');
ylabel('Amplitude')